Subject: bug#6078: 23.1.90; switch-to-buffer does not redisplay until an event occurs

From: Dimitri Fontaine <[email-masked]>
Date: Sun, 02 May 2010 21:52:57 +0200

martin rudalics <[email-masked]> writes:
> Your problem is with `text-scale-adjust' which should be used only
> interactively.  (BTW, you need neither the `select-window' nor the
> `switch-to-buffer' in your code, `set-window-buffer' is sufficient.)

Yeah, I've been hinted to use toggle-debug-on-quit meantime, and sent
a follow-up with this finding. Thanks a lot for helping, though!

As far as set-window-buffer is concerned, yeah, the fixed version only
use that, what you saw was like maddened attempts at forcing the code
into producing what I expected :)

Regards,
-- 
Dimitri Fontaine